Send ACH transaction
Relevant webhooks
For this endpoint be sure you have registered for these webhooks:
- Ach.Payment.Returned
API reference
Sends a single ACH transaction.
IMPORTANT The payment information and data you send to Cross River must include a Nacha SEC code and conform to Nacha settlement rules.
Endpoint: /ach/v1/payments
POST
https://sandbox.crbcos.com/ach/v1/payments
Body Parameters
- accountNumberstringrequiredDescription
- originatorobjectDescription
- namestringrequiredDescription
- identificationstringrequiredDescription
- datastringDescription
- receiverobjectrequiredDescription
- routingNumberstringrequiredDescription
- accountNumberstringrequiredDescription
- accountTypestringrequiredDescription
- namestringDescription
- identificationstringDescription
- secCodestringrequiredDescription
- descriptionstringrequiredDescription
- transactionTypestringrequiredDescription
- amountintegerrequiredDescription
- serviceTypestringrequiredDescription
- fedBatchWindowinteger
- extendedDetailsobjectDescription
- authCodestringDescription
- cardAccountNumberstringDescription
- cardExpDatestringDescription
- cardTransactionTypestringDescription
- checkSerialNumberstringDescription
- docReferenceNumberstringDescription
- itemTypestringDescription
- networkIdentificationstringDescription
- paymentTypestringDescription
- processControlstringDescription
- reference1stringDescription
- reference2stringDescription
- researchNumberstringDescription
- terminalIdentificationstringDescription
- terminalLocationstringDescription
- terminalCitystringDescription
- terminalStatestringDescription
- transactionDatestringDescription
- transactionDescstringDescription
- transactionSerialstringDescription
- transactionTimestringDescription
- iatDetailsobjectDescription
- originatorobjectDescription
- addressstringrequiredDescription
- citystringrequiredDescription
- statestringDescription
- postalCodestringDescription
- countryCodestringrequiredDescription
- receiverobjectrequiredDescription
- addressstringrequiredDescription
- citystringrequiredDescription
- statestringDescription
- postalCodestringDescription
- countryCodestringrequiredDescription
- originatingBankobjectDescription
- namestringrequiredDescription
- identificationstringrequiredDescription
- idQualifierstringrequiredDescription
- countryCodestringrequiredDescription
- receivingBankobjectrequiredDescription
- namestringrequiredDescription
- identificationstringrequiredDescription
- idQualifierstringrequiredDescription
- countryCodestringrequiredDescription
- remittanceInfo1stringDescription
- correspondentBank1objectDescription
- namestringrequiredDescription
- identificationstringrequiredDescription
- idQualifierstringrequiredDescription
- countryCodestringrequiredDescription
- transactionTypeCodestringrequiredDescription
- originatingCurrencystringDescription
- destinationCurrencystringDescription
- addendastringDescription
- addendasarrayDescription
- purposestringDescription
- clientIdentifierstringDescription
- externalPrefixstringDescription
- externalAccountNumberstringDescription
Response
- idstringDescription
- accountNumberstringDescription
- referenceIdstringDescription
- paymentTypestringDescription
- directionstringDescription
- statusstringDescription
- sourcestringDescription
- postingTypestringDescription
- clientBatchIdstringDescription
- clientBatchSequenceintegerDescription
- fedBatchIdstringDescription
- fedBatchSequenceintegerDescription
- coreTransactionIdstringDescription
- memoPostIdstringDescription
- postingCodestringDescription
- postingstringDescription
- rejectionReasonstringDescription
- blockedReasonstringDescription
- originatorobjectDescription
- routingNumberstringDescription
- accountNumberstringDescription
- accountTypestringDescription
- namestringDescription
- identificationstringDescription
- datastringDescription
- receiverobjectDescription
- routingNumberstringDescription
- accountNumberstringDescription
- accountTypestringDescription
- namestringDescription
- identificationstringDescription
- datastringDescription
- secCodestringDescription
- descriptionstringDescription
- transactionTypestringDescription
- amountintegerDescription
- serviceTypestringDescription
- extendedDetailsobjectDescription
- authCodestringDescription
- cardExpDatestringDescription
- cardTransactionTypestringDescription
- checkSerialNumberstringDescription
- docReferenceNumberstringDescription
- itemTypestringDescription
- networkIdentificationstringDescription
- paymentTypestringDescription
- processControlstringDescription
- reference1stringDescription
- reference2stringDescription
- researchNumberstringDescription
- terminalIdentificationstringDescription
- terminalLocationstringDescription
- terminalCitystringDescription
- terminalStatestringDescription
- transactionDatestringDescription
- transactionDescstringDescription
- transactionSerialstringDescription
- transactionTimestringDescription
- cardAccountNumberstringDescription
- iatDetailsobjectDescription
- originatorobjectDescription
- addressstringDescription
- citystringDescription
- statestringDescription
- postalCodestringDescription
- countryCodestringDescription
- receiverobjectDescription
- addressstringDescription
- citystringDescription
- statestringDescription
- postalCodestringDescription
- countryCodestringDescription
- originatingBankobjectDescription
- namestringDescription
- identificationstringDescription
- idQualifierstringDescription
- countryCodestringDescription
- receivingBankobjectDescription
- namestringDescription
- identificationstringDescription
- idQualifierstringDescription
- countryCodestringDescription
- remittanceInfo1stringDescription
- correspondentBank1objectDescription
- namestringDescription
- identificationstringDescription
- idQualifierstringDescription
- countryCodestringDescription
- transactionTypeCodestringDescription
- originatingCurrencystringDescription
- destinationCurrencystringDescription
- addendastringDescription
- effectiveDatestringDescription
- reasonCodestringDescription
- reasonDatastringDescription
- traceNumberstringDescription
- settlementDatestringDescription
- wasReturnedbooleanDescription
- wasCorrectedbooleanDescription
- holdDaysintegerDescription
- previousobjectDescription
- paymentIdstringDescription
- reasonCodestringDescription
- traceNumberstringDescription
- settlementDatestringDescription
- reasonDatastringDescription
- originalobjectDescription
- paymentIdstringDescription
- reasonCodestringDescription
- traceNumberstringDescription
- settlementDatestringDescription
- reasonDatastringDescription
- createdAtstringDescription
- canceledAtstringDescription
- rejectedAtstringDescription
- blockedAtstringDescription
- processedAtstringDescription
- completedAtstringDescription
- postedAtstringDescription
- partnerIdstringDescription
- productIdstringDescription
- lastModifiedAtstringDescription
- purposestringDescription
- clientIdentifierstringDescription
- externalPrefixstringDescription
- externalAccountNumberstringDescription
- addendaCountintegerDescription
- addendasarrayDescription
curl
curl --location 'https://sandbox.crbcos.com/ach/v1/payments' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-key: c10314ee-e737-4681-8e8d-f9cf547c9967' \
--data '{
"accountNumber": "2207975570",
"receiver": {
"routingNumber": "021000021",
"accountNumber": "2151546989",
"accountType": "Checking",
"name": "Peter Griffin"
},
"secCode": "PPD",
"description": "Purchase",
"transactionType": "Push",
"amount": 2500,
"serviceType": "SameDay",
"clientIdentifier": "c10314ee-e737-4681-8e8d-f9cf547c9967"
}'nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'POST',
'hostname': 'sandbox.crbcos.com',
'path': '/ach/v1/payments',
'headers': {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json',
'Idempotency-key': 'c10314ee-e737-4681-8e8d-f9cf547c9967'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
var postData = "{\r\n \"accountNumber\": \"2207975570\",\r\n \"receiver\": {\r\n \"routingNumber\": \"021000021\",\r\n \"accountNumber\": \"2151546989\",\r\n \"accountType\": \"Checking\",\r\n \"name\": \"Peter Griffin\"\r\n },\r\n \"secCode\": \"PPD\",\r\n \"description\": \"string\",\r\n \"transactionType\": \"Push\",\r\n \"amount\": 2500,\r\n \"serviceType\": \"SameDay\",\r\n \"clientIdentifier\": \"c10314ee-e737-4681-8e8d-f9cf547c9967\"\r\n }";
req.write(postData);
req.end();python
import http.client
conn = http.client.HTTPSConnection("sandbox.crbcos.com")
payload = "{\r\n \"accountNumber\": \"2207975570\",\r\n \"receiver\": {\r\n \"routingNumber\": \"021000021\",\r\n \"accountNumber\": \"2151546989\",\r\n \"accountType\": \"Checking\",\r\n \"name\": \"Peter Griffin\"\r\n },\r\n \"secCode\": \"PPD\",\r\n \"description\": \"string\",\r\n \"transactionType\": \"Push\",\r\n \"amount\": 2500,\r\n \"serviceType\": \"SameDay\",\r\n \"clientIdentifier\": \"c10314ee-e737-4681-8e8d-f9cf547c9967\"\r\n }"
headers = {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json',
'Idempotency-key': 'c10314ee-e737-4681-8e8d-f9cf547c9967'
}
conn.request("POST", "/ach/v1/payments", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))ruby
require "uri"
require "net/http"
url = URI("https://sandbox.crbcos.com/ach/v1/payments")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request["Idempotency-key"] = "c10314ee-e737-4681-8e8d-f9cf547c9967"
request.body = "{\r\n \"accountNumber\": \"2207975570\",\r\n \"receiver\": {\r\n \"routingNumber\": \"021000021\",\r\n \"accountNumber\": \"2151546989\",\r\n \"accountType\": \"Checking\",\r\n \"name\": \"Peter Griffin\"\r\n },\r\n \"secCode\": \"PPD\",\r\n \"description\": \"string\",\r\n \"transactionType\": \"Push\",\r\n \"amount\": 2500,\r\n \"serviceType\": \"SameDay\",\r\n \"clientIdentifier\": \"c10314ee-e737-4681-8e8d-f9cf547c9967\"\r\n }"
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/ach/v1/payments"
method := "POST"
payload := strings.NewReader(`{
"accountNumber": "2207975570",
"receiver": {
"routingNumber": "021000021",
"accountNumber": "2151546989",
"accountType": "Checking",
"name": "Peter Griffin"
},
"secCode": "PPD",
"description": "Purchase",
"transactionType": "Push",
"amount": 2500,
"serviceType": "SameDay",
"clientIdentifier": "c10314ee-e737-4681-8e8d-f9cf547c9967"
}`)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
req.Header.Add("Idempotency-key", "c10314ee-e737-4681-8e8d-f9cf547c9967")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
{
"id": "f546de65-bc68-4af0-99be-b155014a4502",
"accountNumber": "2207975570",
"referenceId": "A108531EZ185",
"paymentType": "Origination",
"direction": "Outbound",
"status": "Created",
"source": "Api",
"postingType": "Individual",
"memoPostId": "97e9e4e0-705f-400c-9124-b155014a4502",
"postingCode": "OK",
"posting": "Pending",
"originator": {
"routingNumber": "021214891",
"accountNumber": "2207975570",
"accountType": "Checking",
"name": "Cross River Bank",
"identification": "021214891"
},
"receiver": {
"routingNumber": "021000021",
"accountNumber": "2151546989",
"accountType": "Checking",
"name": "Peter Griffin"
},
"secCode": "PPD",
"description": "Purchase",
"transactionType": "Push",
"amount": 2500,
"serviceType": "SameDay",
"effectiveDate": "240417",
"traceNumber": "021214890554323",
"wasReturned": false,
"wasCorrected": false,
"holdDays": 0,
"original": {
"paymentId": "f546de65-bc68-4af0-99be-b155014a4502"
},
"createdAt": "2024-04-17T16:02:28.4794568-04:00",
"partnerId": "1e5d3f04-ae24-4af6-9e30-aecf012b99dd",
"productId": "cc62e17f-5912-483e-9e42-aed30112fbb6",
"lastModifiedAt": "2024-04-17T16:02:28.4794568-04:00",
"clientIdentifier": "c10314ee-e737-4681-8e8d-f9cf547c9967"
}